Skip to main content
PUT
/
agents
/
{uid}
cURL
curl --request PUT \
  --url https://api.avala.ai/api/v1/agents/{uid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "events": [
    "<string>"
  ],
  "callback_url": "<string>",
  "secret": "<string>",
  "is_active": true,
  "project": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_types": [
    "<string>"
  ]
}
'
{
  "name": "<string>",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "events": [
    "<string>"
  ],
  "callback_url": "<string>",
  "secret": "<string>",
  "is_active": true,
  "project": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_types": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
name
string
required
Required string length: 1 - 255
description
string
events
string[]

List of event types this agent subscribes to, e.g. ['task.completed', 'result.submitted'].

Required string length: 1 - 100
callback_url
string<uri> | null
Maximum string length: 2048
secret
string

HMAC signing secret used to verify agent callbacks. Auto-generated if left blank.

Maximum string length: 255
is_active
boolean
project
string<uuid> | null
task_types
string[]

If non-empty, only events for tasks of these types will trigger the agent.

Required string length: 1 - 50

Response

200 - application/json
name
string
required
Required string length: 1 - 255
uid
string<uuid>
description
string
events
string[]

List of event types this agent subscribes to, e.g. ['task.completed', 'result.submitted'].

Required string length: 1 - 100
callback_url
string<uri> | null
Maximum string length: 2048
secret
string

HMAC signing secret used to verify agent callbacks. Auto-generated if left blank.

Maximum string length: 255
is_active
boolean
project
string<uuid> | null
task_types
string[]

If non-empty, only events for tasks of these types will trigger the agent.

Required string length: 1 - 50
created_at
string<date-time>
updated_at
string<date-time>